Qt 5.6 | Qt GUI | C++ Classes | Key

Qt 5.6.2 Reference Documentation

# Key Class

(QPixmapCache::Key)

The QPixmapCache::Key class can be used for efficient access to the QPixmapCache. More...

Header: | #include <Key>
qmake: | QT += gui
Since: | Qt 4.6

- List of all members, including inherited members

## Public Functions

| Key()
| ~Key()

## Detailed Description

The QPixmapCache::Key class can be used for efficient access to the QPixmapCache.

Use QPixmapCache::insert() to receive an instance of Key generated by the pixmap cache. You can store the key in your own objects for a very efficient one-to-one object-to-pixmap mapping.

## Member Function Documentation

### Key::Key()

Constructs an empty Key object.

### Key::~Key()

Destroys the key.